NexProgressBar Class Reference
Nextion Component

NexProgressBar component. More...

`#include <NexProgressBar.h>`

Inherits NexObject.

## Public Member Functions

| NexProgressBar (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
bool | getValue (uint32_t *number)
| Get the value of progress bar. More...
bool | setValue (uint32_t number)
| Set the value of progress bar. More...
uint32_t | Get_background_color_bco (uint32_t *number)
| Get bco attribute of component. More...
bool | Set_background_color_bco (uint32_t number)
| Set bco attribute of component. More...
uint32_t | Get_font_color_pco (uint32_t *number)
| Get pco attribute of component. More...
bool | Set_font_color_pco (uint32_t number)
| Set pco attribute of component. More...
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | printObjInfo (void)
| Print current object'address, page id, component id and name. More...

## Detailed Description

NexProgressBar component.

Definition at line 30 of file NexProgressBar.h.

## Constructor & Destructor Documentation

NexProgressBar::NexProgressBar | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

Definition at line 18 of file NexProgressBar.cpp.

## Member Function Documentation

uint32_t NexProgressBar::Get_background_color_bco | ( | uint32_t * | number | ) |

Get bco attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 46 of file NexProgressBar.cpp.

uint32_t NexProgressBar::Get_font_color_pco | ( | uint32_t * | number | ) |

Get pco attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 74 of file NexProgressBar.cpp.

bool NexProgressBar::getValue | ( | uint32_t * | number | ) |

Get the value of progress bar.

Parameters

  number | - an output parameter to save the value of porgress bar.

Return values

  true | - success.
  false | - failed.

Definition at line 23 of file NexProgressBar.cpp.

bool NexProgressBar::Set_background_color_bco | ( | uint32_t | number | ) |

Set bco attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 56 of file NexProgressBar.cpp.

bool NexProgressBar::Set_font_color_pco | ( | uint32_t | number | ) |

Set pco attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 84 of file NexProgressBar.cpp.

bool NexProgressBar::setValue | ( | uint32_t | number | ) |

Set the value of progress bar.

Parameters

  number | - the value of progress bar.

Return values

  true | - success.
  false | - failed.

Definition at line 32 of file NexProgressBar.cpp.

The documentation for this class was generated from the following files:

- NexProgressBar.h
- NexProgressBar.cpp